<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<vote-workflow-view></vote-workflow-view>

<h2 id="stepTitle">
  {{ 'global.step.title-prefix' | translate:currentStepNumber }}
  {{ 'control.step-name' | translate }}
</h2>

<section role="document" [innerHTML]="'control.description' | translate"></section>

<h3 [innerHTML]="'control.verification-code.title' | translate"></h3>

<chvote-helper helperLinkKey="control.verification-code.description.image-help"
               helperLinkAccessibilityKey="control.verification-code.description.image-accessibility">
  <span [innerHTML]="'control.verification-code.description.text' | translate"></span>
</chvote-helper>

<section role="main">

  <!-- elections -->
  <!-- TODO -->

  <!-- votations -->
  <ng-container *ngIf="votations.length > 0">
    <chvote-votation-ballot display="control"
                            [votations]="votations"
                            [verificationCodes]="verificationCodes"></chvote-votation-ballot>
  </ng-container>

</section>

<h3 [innerHTML]="'control.confirmation-code.title' | translate"></h3>

<chvote-helper helperLinkKey="control.confirmation-code.description.image-help"
               helperLinkAccessibilityKey="control.confirmation-code.description.image-accessibility">
  <span [innerHTML]="'control.confirmation-code.description.text' | translate"></span>
  <chvote-expansion-panel accessibilityKey="control.confirmation-code.description.complementary.title.accessibility"
                          titleKey="control.confirmation-code.description.complementary.title.text"
                          contentKey="control.confirmation-code.description.complementary.content"
                          strongerContrast="true">
  </chvote-expansion-panel>
</chvote-helper>

<section role="complementary" class="control-form form-note">
  <form [formGroup]="controlForm" novalidate>
    <div>
      <span class="control-form-input-description" id="inputDescription">{{'control.confirmation-code.field.label' | translate}}</span>
      <br>
      <span class="control-form-input-example"
            [innerHTML]="'control.confirmation-code.field.example' | translate"></span>
    </div>
    <mat-form-field floatLabel=never>
      <input matInput
             id="confirmationCode"
             formControlName="confirmationCode"
             aria-labelledby="inputDescription"
             autocomplete="off">
      <mat-placeholder [innerHTML]="'control.confirmation-code.field.placeholder' | translate"></mat-placeholder>
      <mat-error *ngIf="controlForm.invalid">
        <default-errors fieldName="confirmationCode" [form]="controlForm"></default-errors>
      </mat-error>
    </mat-form-field>
  </form>
</section>

<nav>
  <button id="quit-button"
          mat-raised-button
          class="abort"
          [disabled]="busy"
          (click)="quit()">
    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.quit' | translate }}
  </button>
  <button id="next-step-button"
          mat-raised-button
          class="primary"
          [disabled]="busy"
          (click)="vote()">
    {{ 'global.actions.vote' | translate }}
    <span *ngIf="busy">
      <i class="fas fa-spinner fa-pulse" data-fa-transform="up-1 right-10"></i>
    </span>
  </button>
</nav>
